Private Link Resources - List By Cluster

Lekéri a fürt privát kapcsolati erőforrásait.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/{clusterName}/privateLinkResources?api-version=2023-03-02-preview

URI-paraméterek

Name In Kötelező Típus Description
clusterName
path True

string

minLength: 3
maxLength: 40
pattern: ^(?![0-9]+$)(?!-)[a-z0-9-]{3,40}(?

A klaszter neve.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket.

subscriptionId
path True

string (uuid)

A cél-előfizetés azonosítója. Az értéknek UUID-nek kell lennie.

api-version
query True

string

minLength: 1

A művelethez használni kívánt API-verzió.

Válaszok

Name Típus Description
200 OK

PrivateLinkResourceListResult

Az Azure-művelet sikeresen befejeződött.

Other Status Codes

ErrorResponse

Váratlan hibaválasz.

Biztonság

azure_auth

Azure Active Directory OAuth2-folyamat.

Típus: oauth2
Folyamat: implicit
Engedélyezési URL: https://login.microsoftonline.com/common/oauth2/authorize

Hatókörök

Name Description
user_impersonation Megszemélyesíti a felhasználói fiókját

Példák

Mintakérelem

GET https://management.azure.com/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestResourceGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster/privateLinkResources?api-version=2023-03-02-preview

Mintaválasz

{
  "value": [
    {
      "name": "coordinator",
      "type": "Microsoft.DBforPostgreSQL/serverGroupsv2/privateLinkResources",
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestResourceGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster/privateLinkResources/coordinator",
      "properties": {
        "groupId": "coordinator",
        "requiredMembers": [
          "coordinator"
        ],
        "requiredZoneNames": [
          "privatelink.testcluster.postgres.database.azure.com"
        ]
      },
      "systemData": {
        "createdAt": "2022-01-01T17:18:19.1234567Z",
        "createdBy": "user1",
        "createdByType": "User",
        "lastModifiedAt": "2022-01-02T17:18:19.1234567Z",
        "lastModifiedBy": "user2",
        "lastModifiedByType": "User"
      }
    },
    {
      "name": "worker-0",
      "type": "Microsoft.DBforPostgreSQL/serverGroupsv2/privateLinkResources",
      "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/TestResourceGroup/providers/Microsoft.DBforPostgreSQL/serverGroupsv2/testcluster/privateLinkResources/worker-0",
      "properties": {
        "groupId": "worker-0",
        "requiredMembers": [
          "worker-0"
        ],
        "requiredZoneNames": [
          "privatelink.testcluster.postgres.database.azure.com"
        ]
      },
      "systemData": {
        "createdAt": "2022-01-01T17:18:19.1234567Z",
        "createdBy": "user1",
        "createdByType": "User",
        "lastModifiedAt": "2022-01-02T17:18:19.1234567Z",
        "lastModifiedBy": "user2",
        "lastModifiedByType": "User"
      }
    }
  ]
}

Definíciók

Name Description
createdByType

Az erőforrást létrehozó identitás típusa.

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

ErrorDetail

A hiba részletei.

ErrorResponse

Hibaválasz

PrivateLinkResource

Egy privát kapcsolati erőforrás.

PrivateLinkResourceListResult

Egy PrivateLinkResource listaművelet válasza.

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

createdByType

Az erőforrást létrehozó identitás típusa.

Érték Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Az erőforrás-kezelési hiba további információi.

Name Típus Description
info

object

A további információk.

type

string

A további információtípus.

ErrorDetail

A hiba részletei.

Name Típus Description
additionalInfo

ErrorAdditionalInfo[]

A hiba további információi.

code

string

A hibakód.

details

ErrorDetail[]

A hiba részletei.

message

string

A hibaüzenet.

target

string

A hibacél.

ErrorResponse

Hibaválasz

Name Típus Description
error

ErrorDetail

A hibaobjektum.

PrivateLinkResource

Egy privát kapcsolati erőforrás.

Name Típus Description
id

string (arm-id)

Az erőforrás teljes erőforrás-azonosítója. Például: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

Az erőforrás neve

properties.groupId

string

A privát kapcsolat erőforráscsoport-azonosítója.

properties.requiredMembers

string[]

A privát kapcsolat erőforrásának tagneveket kellett megadnia.

properties.requiredZoneNames

string[]

A privát kapcsolatú erőforrás privát kapcsolat DNS-zónaneve.

systemData

systemData

A createdBy és a modifiedBy adatokat tartalmazó Azure Resource Manager-metaadatok.

type

string

Az erőforrás típusa. Pl. "Microsoft.Compute/virtualMachines" vagy "Microsoft.Storage/storageAccounts"

PrivateLinkResourceListResult

Egy PrivateLinkResource listaművelet válasza.

Name Típus Description
nextLink

string (uri)

A következő oldalra mutató link

value

PrivateLinkResource[]

A PrivateLinkResource elemek ezen a lapon

systemData

Az erőforrás létrehozásával és utolsó módosításával kapcsolatos metaadatok.

Name Típus Description
createdAt

string (date-time)

Az erőforrás-létrehozás időbélyege (UTC).

createdBy

string

Az erőforrást létrehozó identitás.

createdByType

createdByType

Az erőforrást létrehozó identitás típusa.

lastModifiedAt

string (date-time)

Az erőforrás utolsó módosításának időbélyege (UTC)

lastModifiedBy

string

Az erőforrást legutóbb módosító identitás.

lastModifiedByType

createdByType

Az erőforrást legutóbb módosító identitás típusa.